sonata_admin:
    persist_filters: true
    assets:
        extra_javascripts:
            - bundles/fosckeditor/ckeditor.js
            - 'js/admin_upload_handler.js'
            
    title: 'UniMAC Past Questions'
#    title_logo: bundles/sonataadmin/images/logo_title.png
    title_logo: images/unimac_logo.png
    global_search:
        empty_boxes: fade
    options:
        # Choices are: text, icon or all (default)
        list_action_button_content: icon
    templates:
        dashboard: '@SonataAdmin/Core/dashboard.html.twig'        
        
    dashboard:
        blocks:
            # Layout Grid Row 1: Spans across the entire top zone
            - { position: top, type: App\Block\ExamPaperAnalyticsBlockService,class: col-md-12 col-sm-12 col-xs-12, settings: { report_type: 'summary_banners' } }
            
            # Layout Grid Row 2: Injects inside your left columns dashboard area matrix
            - { position: left, type: App\Block\ExamPaperAnalyticsBlockService,class: col-md-12 col-sm-12 col-xs-12, settings: { report_type: 'mini_cards' } } 
            

            # display two dashboard blocks
#            -
#                position: left
#                type: sonata.admin.block.admin_list
#                settings:
#                    groups: [Personal Settings]
#            -
#                position: right
#                type: sonata.admin.block.admin_list
#                settings:
#                    groups: [Settings]



        groups:

            
            Users:
                items:
                    - sonata.user.admin.user

                icon: '<i class="fa fa-user"></i>'

            

                
                
            University Hierarchy:
                items:
                    - admin.institute
                    - admin.faculty    
                    - admin.department    
                    - admin.programme    
                    - admin.course    
                icon: '<i class="fa fa-school"></i>'
                
                
            Exams:
                items:
                    - admin.exam_paper  
                    - admin.exam_paper_import_log
                icon: '<i class="fa fa-book"></i>'
                
           

            

            Personal Settings:
                items:
#                    - admin_app_sonatauseruser_show
                    - route: 'admin_user_profile'
                      label: 'My Profile'                   
                    - route: 'password_change'
                      label: 'Change Password'                   
                icon: '<i class="fa fa-user"></i>'
                
            Login Logs:
                items:
#                    - admin.login_attempt
#                    - route: 'change_password_admin_list'
#                      label: 'Change Password'                   
                icon: '<i class="fa fa-key"></i>'

                
           
            
                
                    
    security:
        handler: sonata.admin.security.handler.role

        role_admin: ROLE_ADMIN
        role_super_admin: ROLE_SUPER_ADMIN
        
        
        

sonata_block:
    blocks:
        sonata.admin.block.admin_list:
            contexts: [admin]
            
# config/packages/sonata_admin.yaml
#sonata_admin:
#    title: 'Admin Panel'
#    templates:
#        # Customize layout and design
#        layout: 'path/to/layout.html.twig'
#    dashboard:
#        # Customize the dashboard
#        blocks:
#            - { position: left, type: sonata.admin.block.admin_list }

sonata_formatter:
    default_formatter: text
    formatters:
        text:
            service: sonata.formatter.text.text
            extensions:
                - sonata.formatter.twig.control_flow
                - sonata.formatter.twig.gist

        richhtml:
            service: sonata.formatter.text.raw
            extensions:
                - sonata.formatter.twig.control_flow
                - sonata.formatter.twig.gist
                # - sonata.formatter.twig.media # do not add this unless you are using media bundle.
